Subject: Offline Message from Anwar zwawi: Hi I ordered from the app since 21-4-2020 a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 22 Jun 2020 07:50:58 -0000

From: Anwar zwawi <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us
Department: 

Hi I ordered from the app since 21-4-2020 and I received only some items!!! I contacted you and Kenny reply to me and he said the rest of items was canceled (which I don’t accept at all!!) and he asked me to send him what items I received and I did! But again with no reply !!!! Plzzz what is this way of dealing with customers?? No reply no answer on the phone, missing items, losing money, time waisting, and exhausting communication!!!!! I NEED MY ITEMS!!!!!!!!!

----
Zopim
https://www.zopim.com